Linux Security
    Linux Security
    Linux Security

    openSUSE: 2021:0138-1 moderate: opera

    Date 22 Jan 2021
    168
    Posted By LinuxSecurity Advisories
    An update that fixes 13 vulnerabilities is now available.
    
       openSUSE Security Update: Security update for opera
    ______________________________________________________________________________
    
    Announcement ID:    openSUSE-SU-2021:0138-1
    Rating:             moderate
    References:         
    Cross-References:   CVE-2020-15995 CVE-2020-16043 CVE-2021-21106
                        CVE-2021-21107 CVE-2021-21108 CVE-2021-21109
                        CVE-2021-21110 CVE-2021-21111 CVE-2021-21112
                        CVE-2021-21113 CVE-2021-21114 CVE-2021-21115
                        CVE-2021-21116
    Affected Products:
                        openSUSE Leap 15.1:NonFree
    ______________________________________________________________________________
    
       An update that fixes 13 vulnerabilities is now available.
    
    Description:
    
       This update for opera fixes the following issues:
    
       - Update to version 73.0.3856.344
         - CHR-8265 Update chromium on desktop-stable-87-3856 to 87.0.4280.141
         - DNA-90625 [Mac] Crash at opera::TabView::
           GetPaintData(opera::TabState) const
         - DNA-90735 Crash at opera::BrowserSidebarModel::GetItemVisible
           (opera::BrowserSidebarItem const*) const
         - DNA-90780 Crash at extensions::CommandService::GetExtension
           ActionCommand(std::__1::basic_string const&, extensions::
           ActionInfo::Type, extensions::CommandService::QueryType,
           extensions::Command*, bool*)
         - DNA-90821 Crash at opera::BrowserSidebarController::
           Action(opera::BrowserSidebarItem const*,
           opera::BrowserSidebarItemContentView*)
       - The update to chromium 87.0.4280.141 fixes following issues:
         CVE-2021-21106, CVE-2021-21107, CVE-2021-21108, CVE-2021-21109,
         CVE-2021-21110, CVE-2021-21111, CVE-2021-21112, CVE-2021-21113,
         CVE-2020-16043, CVE-2021-21114, CVE-2020-15995, CVE-2021-21115,
         CVE-2021-21116
    
       - Update to version 73.0.3856.329
         - DNA-89156 Crash at content::RenderViewHostImpl::OnFocus()
         - DNA-89731 [Mac] Bookmarks bar overlaps Babe section when hovering the
           OMenu
         - DNA-90189 Music service portal logotypes are blurred on Win
         - DNA-90336 add session data schema
         - DNA-90399 Address bar dropdown suggestions overlap each other
         - DNA-90520 Crash at absl::raw_logging_internal::RawLog(absl::
           LogSeverity, char const*, int, char const*, ???)
         - DNA-90538 Crash at extensions::CommandService::
           GetExtensionActionCommand(std::__1::basic_string const&,
           extensions::ActionInfo::Type, extensions::CommandService:: QueryType,
           extensions::Command*, bool*)
         - DNA-90600 Don???t report workspace visibility, when functionality is
           disabled.
         - DNA-90665 Collect music service statistics WP2
         - DNA-90773 Bad translation from english to spanish in UI
         - DNA-90789 Crash at opera::ThumbnailHelper::RunNextRequest()
    
    
    Patch Instructions:
    
       To install this openSUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - openSUSE Leap 15.1:NonFree:
    
          zypper in -t patch openSUSE-2021-138=1
    
    
    
    Package List:
    
       - openSUSE Leap 15.1:NonFree (x86_64):
    
          opera-73.0.3856.344-lp151.2.42.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2020-15995.html
       https://www.suse.com/security/cve/CVE-2020-16043.html
       https://www.suse.com/security/cve/CVE-2021-21106.html
       https://www.suse.com/security/cve/CVE-2021-21107.html
       https://www.suse.com/security/cve/CVE-2021-21108.html
       https://www.suse.com/security/cve/CVE-2021-21109.html
       https://www.suse.com/security/cve/CVE-2021-21110.html
       https://www.suse.com/security/cve/CVE-2021-21111.html
       https://www.suse.com/security/cve/CVE-2021-21112.html
       https://www.suse.com/security/cve/CVE-2021-21113.html
       https://www.suse.com/security/cve/CVE-2021-21114.html
       https://www.suse.com/security/cve/CVE-2021-21115.html
       https://www.suse.com/security/cve/CVE-2021-21116.html
    

    LinuxSecurity Poll

    Which is the best secure Linux distro for pentesting?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/50-which-is-the-best-secure-linux-distro-for-pentesting?task=poll.vote&format=json
    50
    radio
    [{"id":"174","title":"Kali Linux","votes":"9","type":"x","order":"1","pct":56.25,"resources":[]},{"id":"175","title":"Parrot OS","votes":"7","type":"x","order":"2","pct":43.75,"resources":[]},{"id":"176","title":"BlackArch Linux","votes":"0","type":"x","order":"3","pct":0,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350

    Please vote first in order to view vote results.


    VIEW MORE POLLS

    bottom 200

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.